# Get Records **GET /dataflows/{dataflowId}/recordsets/{recordSetId}/records** Get records for the selected RecordSet.
Note: similar to the iForm API, you can use limit and offset to control the data being returned. If not defined, the default limit is 100 records.
## Servers - https://dataflownode.zerionsoftware.com/zcrypt/v1.0: https://dataflownode.zerionsoftware.com/zcrypt/v1.0 () ## Authentication methods - Oauth2 ## Parameters ### Path parameters - **dataflowId** (string) id of the Dataflow - **recordSetId** (string) id of the RecordSet ### Query parameters - **offset** (number) skip that many records before beginning to return Example: 0 - **limit** (number) maximum count of the records returned Example: 100. ## Responses ### 200 OK #### Headers - **Total-Count** (string) #### Body: application/json (object) - **id** (string) id of the Record [Powered by Bump.sh](https://bump.sh)